// Package specific class for the References lab
// Creates a TwoToneComponent for TwoToneDisplay

// (c) J. Dean Brock, Rebecca F. Bruce, 2004, 2005
// Department of Computer Science
// UNC Asheville

package edu.unca.cs.csci201.LabAids;

/**
 * Class with a single method to "snap" a picture of
 * a TwoTone object
 */
public class TwoToneDisplay extends javax.swing.JFrame {
    
    // These six variables control the position of the frames
    private static final int xStart =    2 ;
    private static final int yStart =   36 ;
    private static final int wFrame =  125 ;
    private static final int hFrame =  296 ;
    private static final int xIncr  =  128 ;
    private static final int yIncr  =   49 ;
    
    private static int xLoc = xStart ;
    private static int yLoc = yStart ;
    private static int displayNum = 1 ;
    
    /**
     * Snaps a picture of a TwoTone object by creating
     * a Frame to display the object
     * @param tp TwoTone object to be drawn
     */
    public static void Click(TwoTone tp) {
        
        javax.swing.JFrame newFrame =
             edu.unca.cs.LabAids.FrameMaker.Component2Frame(
                 new edu.unca.cs.csci201.LabAids.TwoToneComponent(tp), 
                 Integer.toString(displayNum) + "'th picture") ;
        moveFrame frameMover = new moveFrame(newFrame, wFrame, hFrame, xLoc, yLoc) ;
        // The try is only needed if you change this to invokeAndWait
        try {
            javax.swing.SwingUtilities.invokeLater(frameMover) ;
        } catch (Exception e) {
            e.printStackTrace() ;
        }
        xLoc += xIncr ;
        yLoc += yIncr ;
        ++displayNum ;
    }
    
    static class moveFrame implements Runnable {
        javax.swing.JFrame myFrame ;
        int myWidth ;
        int myHeight ;
        int myX ;
        int myY ;
        
        moveFrame(javax.swing.JFrame newFrame, int width, int height,
                       int x, int y) {
            myFrame = newFrame ;
            myWidth = width ;
            myHeight = height ;
            myX = x ;
            myY = y ;
        }
        public void run() {
            myFrame.setSize(myWidth, myHeight) ;
            myFrame.setLocation(myX, myY) ;
            myFrame.setVisible(true) ;      // Joe Daugherty says to add this
        }
    }
    
}

